petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecSetOptionsPrefix

Sets the prefix used for searching for all Vec options in the database.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecSetOptionsPrefix(Vec v,const char prefix[])

Logically Collective on Vec

### Input Parameter

| v | - the Vec context
| prefix | - the prefix to prepend to all option names

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### Keywords

Vec, set, options, prefix, database

### See Also

VecSetFromOptions()

### Level

advanced

### Location

src/vec/vec/interface/vector.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages